
Redmine - Defect #8458

Subversion: Delete invalid repository fails using the libsvn plugin

2011-05-29 12:50 - André Jonsson

Status: Closed Start date: 2011-05-29

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.3

Description

Only tested with svn repositories, using the libsvn plugin.

When an unreachable repository has been entered it is impossible to delete it. Apparently it requires the repository be valid and able

to connect to be deleted.

For example, entering the repos url svn://localhost will cause delete to fail with the attached log message 1.

And entering a correct repos url but with incorrect login info fails similarly, with attached log message 2.

Related issues:

Related to Redmine - Defect #6713: Git: Not able to Resetting Redmine project... New 2010-10-20

Related to Redmine - Defect #4725: Error displaying Project's Settings when r... New 2010-02-03

Related to Redmine - Feature #1406: Browse through Git branches Closed 2008-06-09

Associated revisions

Revision 6130 - 2011-06-30 05:46 - Toshi MARUYAMA

scm: return nil at model default_branch and override at git model (#8458, #6713).

Redmine Git and Mercurial adapter support branches.

Mercurial default branch is dafault.

But, it is popular to show all revisions on the top page for Mercurial GUI.

Revision 6220 - 2011-07-10 13:08 - Toshi MARUYAMA

scm: git: catch exception in model default_branch() (#8458, #6713).

Revision 6224 - 2011-07-10 17:47 - Toshi MARUYAMA

scm: subversion: add functional test of destroying valid repository (#8458, #6713, #4725).

Revision 6225 - 2011-07-10 17:48 - Toshi MARUYAMA

scm: subversion: add functional test of destroying invalid repository (#8458, #6713, #4725).

History

#1 - 2011-05-29 12:56 - André Jonsson

For correctness I should probably mention that after changing the repos settings to something that is possible to connect with, delete works, of

course.

#2 - 2011-05-30 02:32 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#3 - 2011-05-30 02:43 - Toshi MARUYAMA

- File git-scm-nil.diff added

Try this patch.

#4 - 2011-05-30 10:02 - André Jonsson

Awesome!
However, I see that it modifies some generic part and a git-specific part (I'm not much familiar with Ruby nor the Redmine code base), but as far I've

seen this problem is specific to SVN.

Of course, that doesn't exclude that this patch is the "right thing"... I'll give it a go later.

#5 - 2011-06-05 09:24 - Toshi MARUYAMA

- Target version set to 1.3.0

#6 - 2011-06-07 00:39 - André Jonsson

I've tested the patch. Indeed it works!

However, I'm quite baffled as to why it works... considering it seemingly modified the behavior of managing git repositories.

#7 - 2011-06-07 00:41 - André Jonsson

btw, sorry for the slow feedback; we had a long weekend over here and I was away a bit.

#8 - 2011-07-10 17:01 - Toshi MARUYAMA

- Subject changed from Delete invalid repository fails to Subversion: Delete invalid repository fails using the libsvn plugin

- Target version deleted (1.3.0)

#9 - 2011-07-10 17:56 - Toshi MARUYAMA

- Status changed from New to Closed

Redmine subversion adapter#info returns nil if repository path is invalid.

source:tags/1.2.0/lib/redmine/scm/adapters/subversion_adapter.rb#L86

libsvn plugin adapter#info throws exception if repository path is invalid.

https://github.com/pplr/redmine-libsvn/blob/0662d754198723b6e8ad9c941d883fc5691b94f9/lib/redmine/scm/adapters/subversion_libsvn_adapter.rb#

L87

This is plugin issue.

Files

logmessage1.txt 946 Bytes 2011-05-29 André Jonsson

logmessage2.txt 991 Bytes 2011-05-29 André Jonsson

git-scm-nil.diff 873 Bytes 2011-05-30 Toshi MARUYAMA
